***Replication Materials for "Checking for a Narrower Impact of White"***
***Forthcoming Journal of Law and Courts***
***Garrett N. Vande Kamp***

keep case state year voteage1 postwhite anymarmm anycomp qualchal totex08 pctroll partisan open defeat

gen whitelaw02=0
replace whitelaw02=1 if state=="Mississippi"
replace whitelaw02=1 if state=="Minnesota"
replace whitelaw02=1 if state=="Texas"
replace whitelaw02=1 if state=="Montana"
gen broadwhite=0
replace broadwhite=1 if state=="Georgia"
replace broadwhite=1 if state=="Michigan"
replace broadwhite=1 if state=="Minnesota"
replace broadwhite=1 if state=="Oregon"

gen pctotex08=totex08/voteage1

*Table 2 and Relevant Marginal Effects
logit anycomp i.postwhite##i.whitelaw02 partisan
logit qualchal i.postwhite##i.whitelaw02 partisan
margins, dydx(postwhite) at(whitelaw02=(0(1)1))
margins, dydx(whitelaw02) at(postwhite=(0 1))
reg anymarmm i.postwhite##i.whitelaw02 partisan if anycomp==1 & open==0
margins, dydx(postwhite) at(whitelaw02=(0(1)1))
margins, dydx(whitelaw02) at(postwhite=(0 1))
reg totex08 i.postwhite##i.whitelaw02 partisan if anycomp==1 & defeat!=2
margins, dydx(postwhite) at(whitelaw02=(0(1)1))
margins, dydx(whitelaw02) at(postwhite=(0 1))
reg pctotex08 i.postwhite##i.whitelaw02 partisan if anycomp==1 & defeat!=2
margins, dydx(postwhite) at(whitelaw02=(0(1)1))
margins, dydx(whitelaw02) at(postwhite=(0 1))
reg pctroll i.postwhite##i.whitelaw02 partisan if anycomp==1 & defeat!=2
margins, dydx(postwhite) at(whitelaw02=(0(1)1))
margins, dydx(whitelaw02) at(postwhite=(0 1))

*Table 3 and Relevant Marginal Effects
logit anycomp i.postwhite##i.broadwhite partisan
margins, dydx(postwhite) at(broadwhite=(0(1)1))
margins, dydx(broadwhite) at(postwhite=(0(1)1))
logit qualchal i.postwhite##i.broadwhite partisan
margins, dydx(postwhite) at(broadwhite=(0(1)1))
margins, dydx(broadwhite) at(postwhite=(0(1)1))
reg anymarmm i.postwhite##i.broadwhite partisan if anycomp==1 & open==0
margins, dydx(postwhite) at(broadwhite=(0(1)1))
margins, dydx(broadwhite) at(postwhite=(0(1)1))
reg totex08 i.postwhite##i.broadwhite partisan if anycomp==1 & defeat!=2
margins, dydx(postwhite) at(broadwhite=(0(1)1))
margins, dydx(broadwhite) at(postwhite=(0(1)1))
reg pctotex08 i.postwhite##i.broadwhite partisan if anycomp==1 & defeat!=2
margins, dydx(postwhite) at(broadwhite=(0(1)1))
margins, dydx(broadwhite) at(postwhite=(0(1)1))
reg pctroll i.postwhite##i.broadwhite partisan if anycomp==1 & defeat!=2
margins, dydx(postwhite) at(broadwhite=(0(1)1))
margins, dydx(broadwhite) at(postwhite=(0(1)1))

*Table 4
heckprob qualchal i.postwhite##i.whitelaw02 partisan, sel(anycomp=i.postwhite i.whitelaw02 partisan)
heckman anymarmm i.postwhite##i.whitelaw02 partisan if open==0, sel(anycomp=i.postwhite i.whitelaw02 partisan)
heckman totex08 i.postwhite##i.whitelaw02 partisan if defeat!=2, sel(anycomp=i.postwhite i.whitelaw02 partisan)
heckman pctotex08 i.postwhite##i.whitelaw02 partisan if defeat!=2, sel(anycomp=i.postwhite i.whitelaw02 partisan)
heckman pctroll i.postwhite##i.whitelaw02 partisan if defeat!=2, sel(anycomp=i.postwhite i.whitelaw02 partisan)

*Table 5
heckprob qualchal i.postwhite##i.broadwhite partisan if open==0, sel(anycomp=i.postwhite##i.broadwhite partisan)
heckman anymarmm i.postwhite##i.broadwhite partisan if open==0, sel(anycomp=i.postwhite##i.broadwhite partisan)
heckman totex08 i.postwhite##i.broadwhite partisan if defeat!=2, sel(anycomp=i.postwhite##i.broadwhite partisan)
heckman pctotex08 i.postwhite##i.broadwhite partisan if defeat!=2, sel(anycomp=i.postwhite##i.broadwhite partisan) from(0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0, copy) difficult iterate(500)
heckman pctroll i.postwhite##i.broadwhite partisan if defeat!=2, sel(anycomp=i.postwhite##i.broadwhite partisan)
